#!/bin/bash
T="$1"
L="$2"
outFolder="dep_en_L/$L"
outFilePrefix="${outFolder}/$T"

if [ -f "data_out/${outFilePrefix}.res" ]; then
  echo "Skipping computation for L=$L, T=$T (.res file already exists)"
  exit 0
fi

echo "Starting computation for L=$L, T=$T"

cat <<EOF | ./out/mc2
&DADES
L=$L,
NOM="$outFilePrefix",
TEMP=$T,
NSEED=150,
SEED0=117654,
MCTOT=40000,
MCINI=2000,
MCD=20
&END
EOF
